libdlrestrictions1_0.15.15_i386.deb


Advertisement

Description

libdlrestrictions1 - library that implements library compatibility checks for dlopen()

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libdlrestrictions1
Package version 0.15.15
Package release
Package architecture i386
Package type deb
Installed size 31 B
Download size 19.80 KB
Official Mirror ftp.br.debian.org
This package provides a DLRestrictions library that can be used to check
compatibility of the external shared library (or plugin) against other
libraries currently loaded in the global symbol object. It might help to avoid
symbol clashes and provide means for graceful failure detection in advance
before the first dlsym() call. Otherwise, usage of incompatible library might
result in crashes or other unpredictable failures of the application.
A shared library that is protected by DLRestrictions provides a special symbol
which defines conditions under which the library may be safely used. At the
moment, the only restriction that may be imposed controls whether multiple
SONAMEs of the same library can safely co-exist in the same symbol space.
Shared library dependencies are also checked for compatibility.

Alternatives

Package Version Architecture Repository
libdlrestrictions1_0.15.15_amd64.deb 0.15.15 amd64 Debian Main
libdlrestrictions1 - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Binary Package libdlrestrictions1_0.15.15_i386.deb
Source Package pkg-kde-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdlrestrictions1 deb package:
    # sudo apt-get install libdlrestrictions1

Files

Path
/usr/lib/libdlrestrictions.so.1
/usr/lib/libdlrestrictions.so.1.0.0
/usr/share/doc/libdlrestrictions1/NEWS.Debian.gz
/usr/share/doc/libdlrestrictions1/changelog.gz
/usr/share/doc/libdlrestrictions1/copyright

Changelog

2014-07-13 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.15) unstable; urgency=medium
* The fix for #744173 required to convert non-anchored regexps to anchored
ones. The problem with this is that kfreebsd-amd64 was no longer matched.
Fix it by adding kfreebsd-amd64 in the lists where amd64 appears, as
they both share the same sizes (Closes: #754765).
2014-07-12 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.14) unstable; urgency=medium
[ William Grant ]
* perllib/Debian/PkgKde/SymbolsHelper/Substs/TypeSubst.pm:
- Anchor architecture matches to the ends of the string, to avoid
erroneously mapping qreal to float on arm64.
- Add arm64 and ppc64el to the 64-bit matches (Closes: #744173).
[ Helmut Grohne ]
* Mark binary pkg-kde-tools as M-A:foreign. (Closes: #751338).
2014-02-23 - Maximiliano Curia <maxy@debian.org>
pkg-kde-tools (0.15.13) unstable; urgency=medium
[ Maximiliano Curia ]
* Fix "Useless use of \E at" warning in dhmk.pl.
* Bump Standards-Version to 3.9.5, no further changes needed.
[ Pino Toscano ]
* debcontrol2cmake.pl: filter out binary packages not belonging to the build
architecture.
2013-12-18 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.12) unstable; urgency=low
[ Dmitry Shachnev ]
* pkgkde-symbolshelper: fix qptrdiff expansion for s390x.
2013-11-14 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.11) unstable; urgency=low
* Add support for mips64 and mips64el. Thanks YunQiang Su for the patch.
(Closes: #723223).
2013-10-03 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.10) unstable; urgency=low
* Actually s390 uses 'j' (unsigned int) for quintptr (Closes: #725300).
2013-10-02 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.9) unstable; urgency=low
* Add s390 and s390x to the list of archs that use 'y' (unsigned long long)
as replacement for quintptr (Closes: #725023).
* Add myself to Uploaders.
2013-08-25 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
pkg-kde-tools (0.15.8) unstable; urgency=low
* Team upload.
[ Felix Geyer ]
* pkgkde-symbolshelper: Add intptr_t type substitution.
[ Pino Toscano ]
* Fix Vcs-* headers.
2013-05-20 - Modestas Vainius <modax@debian.org>
pkg-kde-tools (0.15.7) unstable; urgency=low
* pkgkde-vcs: replace support for lenny-backports with wheezy-backports.
2013-05-10 - Maximiliano Curia <maxy@debian.org>
pkg-kde-tools (0.15.6) unstable; urgency=low
* pkgkde-git: Update sanity check, allow git clones inside gited homes.
* Add myself to Uploaders.
* Bump debhelper buil-dep and compat to 9.
* Bump Standards-Version to 3.9.4, no further changes needed.

See Also

Package Description
libdm0-dev_2.2.10-1_i386.deb Data Management API static libraries and headers
libdm0_2.2.10-1_i386.deb Data Management API runtime environment
libdmalloc-dev_5.5.2-6_i386.deb debug memory allocation library (development files and doc)
libdmalloc5_5.5.2-6_i386.deb debug memory allocation library
libdmapsharing-3.0-2_2.9.28-1_i386.deb DMAP client and server library - runtime
libdmapsharing-3.0-dev_2.9.28-1_i386.deb DMAP client and server library - development
libdmraid-dev_1.0.0.rc16-5_i386.deb Device-Mapper Software RAID support tool - header files
libdmraid1.0.0.rc16_1.0.0.rc16-5_i386.deb Device-Mapper Software RAID support tool - shared library
libdmtx-dev_0.7.4-2_i386.deb Data Matrix barcodes (development files and static libraries)
libdmtx-utils_0.7.4-2_all.deb transitional package for dmtx-utils
libdmtx0a_0.7.4-2_i386.deb Data Matrix barcodes (runtime library)
libdmx-dev_1.1.3-1+b1_i386.deb X11 Distributed Multihead extension library (development headers)
libdmx1_1.1.3-1+b1_i386.deb X11 Distributed Multihead extension library
libdnet-dev_2.64_i386.deb DECnet development libraries & Headers
libdnet_2.64_i386.deb DECnet Libraries
Advertisement
Advertisement